
#ifndef _LCD_C_
#define _LCD_C_

#define RW_PORT		PORTD
#define E_PORT		PORTD
#define RS_PORT		PORTB
#define DATA_PORT	PORTD
#define DATA_DDR	DDRD
#define DATA_INPUT	PIND

#define RW_PIN		PD2
#define E_PIN		PD3
#define RS_PIN		PB0
#define DATA_PIN	PD4

#define DATA_PORT_MASK (~(0x0F << DATA_PIN))


// Initialize LCD
void LCD_Init(void);
void LCD_Clear(void);
// 1-byte transfer
void LCD_Transfer_Write(const uint8_t data, const uint8_t rs);
// 1-byte transfer
void LCD_Transfer_Read(uint8_t* data, const uint8_t rs);
void LCD_SetTextPos(const uint8_t pos);
void LCD_Print(const char* text, uint8_t size);
void LCD_BusyCheck(void);
void LCD_PrintBCD(const uint16_t bcd);
void LCD_Putc(const char text);

#endif
